<div class="maindDiv">
  <div style="float:left; height: 100%; width: 50%" class="bg-primary">
  </div>
  <div class="login-screen">
    <div class="flex align-items-center justify-content-center h-4rem border-round m-2">
      <div class="flex flex-column">
        <div class="flex align-items-center justify-content-center h-10rem border-round m-2">
          <img src="../../../../assets/logo.png" width="400px" height="400px">
        </div>
        <form [formGroup]="loginForm">
        <div class="flex align-items-center justify-content-center h-4rem border-round m-4">
          <span class="p-float-label">
          <input pInputText id="username" formControlName="name"/>
          <label for="username">Felhasználónév</label>
            <span *ngIf="name.invalid && name.dirty || name.touched">
              <div *ngIf="name.errors?.['required']" class="block p-error">Szükséges kitölteni a mezőt!</div>
            </span>
        </span>
        </div>
        <div class="flex align-items-center justify-content-center h-4rem border-round m-4">
          <span class="p-float-label">
          <p-password  id="password" formControlName="password" [feedback]="false" ></p-password>
          <label for="password">Jelszó</label>
            <span *ngIf="password.invalid && password.dirty || password.touched">
              <div *ngIf="password.errors?.['required']" class="block p-error">Szükséges kitölteni a mezőt!</div>
            </span>
        </span>
        </div>
        <div class="flex align-items-center justify-content-center h-4rem border-round m-2">
          <p-button label="Bejelentkezés" (onClick)="checkUser()" [disabled]="loginForm.invalid"></p-button>
        </div>
        </form>
      </div>
    </div>
  </div>
</div>
<p-toast [life]="10000"></p-toast>
